aboutsummaryrefslogtreecommitdiff
path: root/contrib/dialog/samples/msgbox4-8bit
diff options
context:
space:
mode:
authorDag-Erling Smørgrav <des@FreeBSD.org>2026-06-29 15:53:51 +0000
committerDag-Erling Smørgrav <des@FreeBSD.org>2026-06-29 15:53:51 +0000
commit2b9f38236151f1bb0f26ec14a72e553b8420da8b (patch)
tree7f12f178e9e6017e039d685cecbde4bc17b0ce12 /contrib/dialog/samples/msgbox4-8bit
parent7aa0fb6181b8f520c0dde548eb7f0e03cdf3ae13 (diff)
Diffstat (limited to 'contrib/dialog/samples/msgbox4-8bit')
-rwxr-xr-xcontrib/dialog/samples/msgbox4-8bit33
1 files changed, 33 insertions, 0 deletions
diff --git a/contrib/dialog/samples/msgbox4-8bit b/contrib/dialog/samples/msgbox4-8bit
new file mode 100755
index 000000000000..ba703c6134b6
--- /dev/null
+++ b/contrib/dialog/samples/msgbox4-8bit
@@ -0,0 +1,33 @@
+#!/bin/sh
+# $Id: msgbox4-8bit,v 1.8 2020/11/26 00:26:09 tom Exp $
+
+. ./setup-vars
+
+. ./testdata-8bit
+
+width=30
+while test $width != 61
+do
+$DIALOG --title "MESSAGE BOX (width $width)" --no-collapse --colors "$@" \
+ --msgbox "\
+This sample uses characters which are non-printing in POSIX locale.
+
+\Z1`./rotated-data 0 "$SAMPLE"` \Z2`./rotated-data 1 "$SAMPLE"` \Z3`./rotated-data 2 "$SAMPLE"` \Z4`./rotated-data 3 "$SAMPLE"`\Zn
+
+Hi, this is a simple message box. You can use this to \
+display any message you like. The box will remain until \
+you press the ENTER key." 22 $width
+returncode=$?
+
+case $returncode in
+ $DIALOG_OK)
+ ;;
+ *)
+ . ./report-button;
+ exit
+ ;;
+esac
+
+width=`expr $width + 1`
+
+done